javascript

git

java

python

git-remote

c++

github

django

c#

reactjs

iteration

std

c++-faq

git-checkout

generator

coroutine

spring-mvc

reflection

javascript-objects

html5

android-使用退出按钮关闭应用程序

可能重复:
android-退出应用程序代码

我是android的初学者,我正在练习一个有2个标签和1个退出按钮的项目。 但是,当我在android手机中运行该项目时,退出按钮不起作用,它根本不会退出。

如何使退出按钮起作用?

trans by 2020-08-06T08:29:50Z

子流程-如何返回到源bash脚本?

我使用使用bash源功能扩展的脚本。

#!/bin/bash

source someneatscriptthatendsprematurely.sh

我希望能够从该脚本返回而不会破坏主脚本。

使用exit会破坏主脚本,return仅在函数中有效,尝试$(exit 1)似乎也不起作用。

那么,有可能在不破坏主bash的情况下返回sub-bash脚本吗?

任何帮助表示赞赏!

trans by 2020-08-01T22:57:27Z

android-按下后退按钮时如何退出?

当用户按下意图上的“后退”按钮时,应用程序应退出。 如何确保按下后退按钮后退出应用程序?

trans by 2020-07-29T23:28:06Z

在bash中退出并显示错误消息(单行)

是否可以在不使用if语句的情况下通过错误退出并显示消息?

[[ $TRESHOLD =~ ^[0-9]+$ ]] || exit ERRCODE "Threshold must be an integer value!"

当然,在numeric arg required的右侧将不起作用,只是为了让您更好地了解我要实现的目标。

实际上,我什至不介意使用哪个ERR代码退出,只是为了显示消息。

编辑

我知道这可以解决问题,但是如何抑制显示numeric arg required在我的自定义消息之后?

[[ $TRESHOLD =~ ^[0-9]+$ ]] || exit "Threshold must be an integer value!"
trans by 2020-07-12T20:38:26Z

c-在传统的Linux fork-exec中使用_exit()和exit()有什么区别?

我一直在尝试弄清楚在Linux内部如何使用fork-exec机制。 一切都按照计划进行,直到一些网页开始使我感到困惑。

据说,子进程应严格使用_exit(),而不是简单的exit()或从main()的正常返回。

据我所知,Linux shell fork-execs执行每个外部命令。 假设我上面所说的是正确的,那么结论就是这些外部命令或Linux shell内部发生的任何其他执行都不能正常返回!

维基百科和其他一些网页声称,我们必须使用_exit()只是为了防止子进程导致删除父级的临时文件,同时可能发生两次stdio缓冲区的刷新。 尽管我了解前者,但我不知道缓冲区的两次刷新对Linux系统有何危害。

我整天都在这上面...感谢您的澄清。

trans by 2020-02-07T19:28:53Z

c-EXIT_FAILURE与exit(1)吗?

有什么不同? 哪一种是首选,或者什么时候分别使用?

trans by 2020-01-28T15:47:40Z

python-有没有办法防止捕获从sys.exit()引发的SystemExit异常?

文档说,调用sys.exit()会引发SystemExit异常,该异常可以在外部级别捕获。 我遇到一种情况,在这种情况下,我想确定无疑地从测试用例中退出,但是unittest模块会捕获SystemExit并阻止退出。 这通常很好,但是我要处理的特定情况是我们的测试框架检测到配置为指向非测试数据库的情况。 在这种情况下,我要退出并阻止运行任何进一步的测试。 当然,由于unittest捕获了SystemExit并愉快地继续前进,所以它使我感到沮丧。

到目前为止,我唯一想到的选择是使用ctypes或类似于直接调用exit(3)的东西,但是对于应该非常简单的东西来说,这似乎是一个很丑陋的技巧。

trans by 2020-01-17T00:59:27Z

如何退出执行延迟呼叫的go程序?

我需要使用defer释放使用os.Exit库手动创建的分配,但在某些时候我还需要os.Exit处于非0状态。 棘手的部分是os.Exit跳过任何延迟的指令:

package main

import "fmt"
import "os"

func main() {

    // `defer`s will _not_ be run when using `os.Exit`, so
    // this `fmt.Println` will never be called.
    defer fmt.Println("!")
    // sometimes ones might use defer to do critical operations
    // like close a database, remove a lock or free memory

    // Exit with status code.
    os.Exit(3)
}

游乐场:[http://play.golang.org/p/CDiAh9SXRM]从[https://gobyexample.com/exit]被盗

那么,如何退出执行已声明defer调用的go程序? os.Exit是否有替代方案?

trans by 2020-01-14T15:47:29Z

UNIX-获取bash / ksh中命令的退出代码

我想写这样的代码:

command="some command"

safeRunCommand $command

safeRunCommand() {
   cmnd=$1

   $($cmnd)

   if [ $? != 0 ]; then
      printf "Error when executing command: '$command'"
      exit $ERROR_CODE
   fi
}

但是这段代码无法按照我想要的方式工作。我在哪里弄错了?

trans by 2020-01-13T14:53:41Z

Python子进程:cmd退出时回调

我目前正在使用Popen.wait()启动程序

我对Python相当陌生,但是它“感觉”到应该有一些api可以让我做类似的事情:

subprocess.Popen(cmd, shell=TRUE,  postexec_fn=function_to_call_on_exit)

我这样做是为了使Popen.wait()可以基于知道cmd已退出而进行某些操作(例如,对当前正在运行的外部进程的数量进行计数)

我以为我可以将子进程包装在一个将线程与Popen.wait()方法结合在一起的类中,但是由于我还没有在Python中完成线程处理,因此对于一个API来说,这似乎很常见,我想 d尝试先找到一个。

提前致谢 :)

trans by 2020-01-13T10:53:27Z

程序退出前如何运行代码?

这个问题已经在这里有了答案:

  • 捕获控制台出口C#                                     10个答案

我有一个小的控制台C#程序,例如

Class Program 
{ 
    static void main(string args[]) 
    {
    }
}

现在我想在main()退出后做一些事情。 我试图为Class Program编写析构函数,但从未成功。

有谁知道该怎么做。

非常感谢

trans by 2020-01-04T01:01:59Z

使R以非零状态码退出

我正在寻找linux / POSIX exit(n)的R等效项,它将以退出代码n停止进程,向父进程发出已发生错误的信号。 R有这样的设施吗?

trans by 2019-11-12T12:24:35Z

如何在不退出程序的情况下退出方法?

与C / CPP相比,我对C#还是很陌生,并且很难适应它。

您如何在C#上退出功能而不退出像该功能那样的程序?

if (textBox1.Text == "" || textBox1.Text == String.Empty || textBox1.TextLength == 0)
    textBox3.Text += "[-] Listbox is Empty!!!!\r\n";
System.Environment.Exit(0);

这将不允许返回类型,如果不考虑返回类型,它将继续不间断地执行该函数。 这是不可取的。

trans by 2019-10-27T19:47:47Z

java-如何处理SIGTERM

Java中有没有办法处理收到的SIGTERM?

trans by 2019-10-26T22:27:59Z

如何知道Docker容器退出的原因?

我有一个在1G RAM主机中运行的Docker容器(也有在同一主机中运行的其他容器)。 该Docker容器中的应用程序将解码一些图像,这可能会消耗大量内存。

该容器会不时退出。 我怀疑这是由于内存不足,但不是很确定。 我需要找到根本原因的方法。 那么,有什么办法知道这个集装箱的死亡发生了什么?

trans by 2019-10-15T17:51:52Z

如何在Java中退出while循环?

在Java中退出/终止while循环的最佳方法是什么?

例如,我的代码当前如下:

while(true){
    if(obj == null){

        // I need to exit here

    }
}
trans by 2019-09-26T06:56:10Z

去-什么时候使用os.Exit()和panic()?

有人可以解释os.Exit()panic()之间的主要区别以及它们在Go中的实际使用方式吗?

trans by 2019-09-19T19:45:03Z

.net - 捕获控制台退出C#

我有一个包含很多线程的控制台应用程序。 有些线程可以监视某些条件,如果它们是真的则终止程序。 这种终止可以随时发生。

我需要一个可以在程序关闭时触发的事件,以便我可以清理所有其他线程并正确关闭所有文件句柄和连接。 我不确定.NET框架中是否已经内置了一个,所以我在编写自己的框架之前就已经问过了。

我想知道是否有一个事件:

MyConsoleProgram.OnExit += CleanupBeforeExit;
trans by 2019-09-14T05:27:13Z

ruby系统命令检查退出代码

我在ruby中有一堆系统调用,如下所示,我想同时检查它们的退出代码,以便在该命令失败时我的脚本退出。

system("VBoxManage createvm --name test1")
system("ruby test.rb")

我想要类似的东西

system("VBoxManage createvm --name test1", 0)< - 其中第二个参数检查退出代码并确认系统调用成功,如果没有,则会引发错误或执行某种操作。

这有可能吗?

我已经尝试过这方面的事情而且也没有用。

system("ruby test.rb")
system("echo $?")

要么

`ruby test.rb`
exit_code = `echo $?`
if exit_code != 0
  raise 'Exit code is not zero'
end
trans by 2019-08-22T02:33:03Z

WPF命令行

我正在尝试创建一个获取命令行参数的WPF应用程序。 如果没有给出参数,则应弹出主窗口。 在某些特定命令行参数的情况下,代码应该在没有GUI的情况下运行并在完成时退出。 关于如何正确完成这一任何建议将不胜感激。

trans by 2019-08-10T05:09:59Z

1 2 3 下一页 共3页